# version first -- they are parsed LTR and later options depend on automake 1.8
AUTOMAKE_OPTIONS = 1.8 dist-bzip2 no-dist-gzip

ACLOCAL_AMFLAGS = -I m4

SUBDIRS = bin etc moap doc m4 misc

EXTRA_DIST = HACKING moap.spec moap.doap RELEASE

check: pychecker check-python check-bash

check-python:
	trial moap.test

check-bash:
	$(SHELL) $(top_srcdir)/moap/test/test_bash_completion.sh $(top_builddir)/etc/bash_completion.d/moap

_trial_temp/coverage: $(top_srcdir)/moap/*.py $(top_srcdir)/moap/*/*.py
	trial --coverage moap.test

coverage: _trial_temp/coverage
	python misc/show-coverage.py `ls _trial_temp/coverage/moap* | grep -v moap.test | grep -v moap.extern`

clean-local:
	@rm -rf _trial_temp

PYCHECKER_WHITELIST = \
	moap/*.py \
	moap/bug/*.py \
	moap/command/*.py \
	moap/doap/*.py \
	moap/util/*.py \
	moap/vcs/*.py

PYCHECKER_BLACKLIST = \
	moap/bug/bugzilla.py

release: dist
	make $(PACKAGE)-$(VERSION).tar.bz2.md5

# generate md5 sum files
%.md5: %
	md5sum $< > $@

include $(top_srcdir)/m4/pychecker.mk
